Debian Bug report logs - #691427
journal commit I/O error on brand-new Thinkpad T430s ext4 on lvm on SSD

version graph

Package: src:linux; Maintainer for src:linux is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Dorian Villet <dorian.villet@liip.ch>

Date: Thu, 25 Oct 2012 14:57:01 UTC

Severity: important

Merged with 701823

Found in versions linux/3.5.5-1~experimental.1, linux/3.2.32-1, linux/3.2.23-1, linux/3.2.35-2

Forwarded to https://bugzilla.kernel.org/show_bug.cgi?id=51861

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, odyx@debian.org, dorian.villet@liip.ch, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#691427; Package src:linux. (Thu, 25 Oct 2012 14:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Didier Raboud <odyx@debian.org>:
New Bug report received and forwarded. Copy sent to odyx@debian.org, dorian.villet@liip.ch, Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 25 Oct 2012 14:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Didier Raboud <odyx@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: journal commit I/O error on brand-new Thinkpad T430s ext4 on lvm on SSD
Date: Thu, 25 Oct 2012 16:56:08 +0200
Source: linux
Version: 3.2.32-1
Severity: important
Tags: upstream

Hi dear linux maintainers,

I have setup a Debian Wheezy on a brand new Lenovo Thinkpad T430s with a
SSDSC2BW180A3L SSD drive. After the install, the user installed his usual
softwares (solr, apache, nodejs, …) and started work.

Under some load (importing thousands of records in MySQL via a hand-called PHP
script), the system reliably stops working fine enough because of "journal
commit I/O error" leading to a readonly filesystem. Then Gnome becomes
(obviously) unuseable and the only way out is a hard-reboot.

The disk looks fine (and is brand new), according to the BIOS disk report and
SMART tests, so the usual suspiscion that it might be broken is improbable.

We have reproduced this bug under 3.2.0-4 (3.2.23-1), 3.2.0-5 (3.2.32-1) and
3.5-trunk (3.5.5-1~experimental.1). The setup is an ext4 / (and /home) on LVM,
on the mentionned SSD.

What are the things we could do to help resolve this bug? Are there logs that
you might want to get? Please advise!

Cheers,

OdyX, on behalf of Dorian Villet, owner of the (unuseable) T430s.



Owner recorded as Dorian Villet <dorian.villet@liip.ch>. Request was from Didier Raboud <didier.raboud@liip.ch> to control@bugs.debian.org. (Thu, 25 Oct 2012 15:09:04 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Dorian Villet <dorian.villet@liip.ch>. Request was from Didier Raboud <didier.raboud@liip.ch> to control@bugs.debian.org. (Thu, 25 Oct 2012 15:21:10 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Dorian Villet <dorian.villet@liip.ch>' from 'Didier Raboud <odyx@debian.org>' Request was from Didier Raboud <didier.raboud@liip.ch> to control@bugs.debian.org. (Thu, 25 Oct 2012 15:21:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#691427; Package src:linux. (Thu, 25 Oct 2012 20:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 25 Oct 2012 20:27:05 GMT) Full text and rfc822 format available.

Message #16 received at 691427@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Didier Raboud <odyx@debian.org>
Cc: 691427@bugs.debian.org, Dorian Villet <dorian.villet@liip.ch>
Subject: Re: journal commit I/O error on brand-new Thinkpad T430s ext4 on lvm on SSD
Date: Thu, 25 Oct 2012 13:25:03 -0700
found 691427 linux/3.2.23-1 , linux/3.5.5-1~experimental.1
quit

Hi,

Didier Raboud wrote:

> Tags: upstream

What upstream version did you test?

[...]
> Under some load (importing thousands of records in MySQL via a hand-called PHP
> script), the system reliably stops working fine enough because of "journal
> commit I/O error" leading to a readonly filesystem. Then Gnome becomes
> (obviously) unuseable and the only way out is a hard-reboot.

Can you get full "dmesg" output when in this state?  A serial console[1] or
netconsole[2] might be helpful in obtaining that, or if that's not possible,
a photograph of messages on the screen will do in a pinch.

Thanks for reporting, and hope that helps,
Jonathan

[1] if you are lucky enough to have a docking station with serial port:
http://www.kernel.org/doc/Documentation/serial-console.txt
[2] http://www.kernel.org/doc/Documentation/networking/netconsole.txt



Marked as found in versions linux/3.5.5-1~experimental.1 and linux/3.2.23-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Thu, 25 Oct 2012 20:27:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#691427; Package src:linux. (Fri, 26 Oct 2012 11:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Didier 'OdyX' Raboud" <odyx@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 26 Oct 2012 11:45:05 GMT) Full text and rfc822 format available.

Message #23 received at 691427@bugs.debian.org (full text, mbox):

From: "Didier 'OdyX' Raboud" <odyx@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 691427@bugs.debian.org, Dorian Villet <dorian.villet@liip.ch>
Subject: Re: journal commit I/O error on brand-new Thinkpad T430s ext4 on lvm on SSD
Date: Fri, 26 Oct 2012 13:44:35 +0200
Hi Jonathan,

Le jeudi, 25 octobre 2012 22.25:03, Jonathan Nieder a écrit :
> Didier Raboud wrote:
> > Tags: upstream
> 
> What upstream version did you test?

Well we only tried packaged kernels, all wheezy, unstable and experimental 
exhibit this behaviour. We started to compile an upstream kernel but didn't 
try yet. I tagged this bug as "upstream", considering it's probably not a bug 
of the packaging.

> Can you get full "dmesg" output when in this state?  A serial console[1] or
> netconsole[2] might be helpful in obtaining that, or if that's not
> possible, a photograph of messages on the screen will do in a pinch.

I'll let Dorian send that to the bug, we'll see what that gives.

Cheers,

OdyX



Removed tag(s) upstream. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sun, 28 Oct 2012 00:00:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#691427; Package src:linux. (Tue, 30 Oct 2012 09:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dorian Villet <dorian.villet@liip.ch>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 30 Oct 2012 09:45:03 GMT) Full text and rfc822 format available.

Message #30 received at 691427@bugs.debian.org (full text, mbox):

From: Dorian Villet <dorian.villet@liip.ch>
To: 691427@bugs.debian.org
Cc: Jonathan Nieder <jrnieder@gmail.com>, "Didier 'OdyX' Raboud" <odyx@debian.org>
Subject: Re: journal commit I/O error on brand-new Thinkpad T430s ext4 on lvm on SSD
Date: Tue, 30 Oct 2012 10:42:46 +0100
[Message part 1 (text/plain, inline)]
Hello Jonathan,

Thanks for your interest in my issue. I've run the following script to
catch the dmesg messages :

#!/bin/sh
> while /bin/true; do dmesg > ~/dmesg_logs/dmesg_$(date +%T).log; sync;
> sleep 1; done


You'll find attached to this email the content of the last file written
when the bug occurs.
If I can do anything else to help you...

Dorian


On Fri, Oct 26, 2012 at 1:44 PM, Didier 'OdyX' Raboud <odyx@debian.org>wrote:

> Hi Jonathan,
>
> Le jeudi, 25 octobre 2012 22.25:03, Jonathan Nieder a écrit :
> > Didier Raboud wrote:
> > > Tags: upstream
> >
> > What upstream version did you test?
>
> Well we only tried packaged kernels, all wheezy, unstable and experimental
> exhibit this behaviour. We started to compile an upstream kernel but didn't
> try yet. I tagged this bug as "upstream", considering it's probably not a
> bug
> of the packaging.
>
> > Can you get full "dmesg" output when in this state?  A serial console[1]
> or
> > netconsole[2] might be helpful in obtaining that, or if that's not
> > possible, a photograph of messages on the screen will do in a pinch.
>
> I'll let Dorian send that to the bug, we'll see what that gives.
>
> Cheers,
>
> OdyX
>
[Message part 2 (text/html, inline)]
[dmesg_10:32:10.log.bz2 (application/x-bzip2, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#691427; Package src:linux. (Wed, 06 Mar 2013 21:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Krzysztof Baranski <kbaransk@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 06 Mar 2013 21:03:06 GMT) Full text and rfc822 format available.

Message #35 received at 691427@bugs.debian.org (full text, mbox):

From: Krzysztof Baranski <kbaransk@gmail.com>
To: Debian Bug Tracking System <691427@bugs.debian.org>
Subject: linux-image-3.2.0-4-amd64: similar effect on T530 with SSD (LVM and ext4)
Date: Wed, 06 Mar 2013 22:01:22 +0100
Package: src:linux
Version: 3.2.35-2
Followup-For: Bug #691427

Dear Maintainer,


   * What led up to the situation?
Until now I observed that there is a method to force disk fail in no more than 10 - 20 minutes by running java web application application on tomcat, and forcing it to full update. That results in heavy (and long term) usage of MySQL database and (as far as I know) full text search engine based on Apache Lucene and Apache SOLR - including rebuilding of indexes.
It's also possible to fail without havy I/O load (especially when laptop is on battery), but I can't provide exact steps to reproduce it.
   * What exactly did you do (or not do) that was effective (or
     ineffective)?

   * What was the outcome of this action?
Totally unusable system - even execution of shutdown command was impossible
   * What outcome did you expect instead?

Additional info:

Software in use and non-standard software installed:
- acpi_call
- nvidia proprietary drivers
- acpi_call kernel module (declared in /etc/modules) and tpacpi-bat configured to keep battery charge level between 40% and 80% - configuration details below (but same effect after disabling)

Other:
- Originally all ext4 filesystem were configured with default mount options, but than the situation was even worse (fails occured more often and without dependence on load)

Notes on acpi_call configuration:

Download acpi-call-installer from http://git.thekondor.net/?p=scripts;a=tree and rename it to install-acpi-call.sh, than execute:
chmod +x install-acpi-call.sh
sudo ./install-acpi-call.sh run

pushd /usr/local/src
sudo git clone https://github.com/teleshoes/tpacpi-bat.git
popd

Add to /etc/rc.local:
/usr/local/src/tpacpi-bat/tpacpi-bat startChargeThreshold 0 40
/usr/local/src/tpacpi-bat/tpacpi-bat stopChargeThreshold 0 80
exit 0

I'll try to provide additional attachement with more configuration info


-- Package-specific info:
** Version:
Linux version 3.2.0-4-amd64 (debian-kernel@lists.debian.org) (gcc version 4.6.3 (Debian 4.6.3-14) ) #1 SMP Debian 3.2.35-2

** Command line:
BOOT_IMAGE=/vmlinuz-3.2.0-4-amd64 root=/dev/mapper/VG00-LVroot ro quiet

** Tainted: PO (4097)
 * Proprietary module has been loaded.
 * Out-of-tree module has been loaded.

** Kernel log:
[    5.130825] cfg80211:     (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[    5.130831] cfg80211:     (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[    5.130837] cfg80211:     (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[    5.130843] cfg80211:     (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[    5.130849] cfg80211:     (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[    5.131633] iwlwifi 0000:03:00.0: firmware: agent loaded iwlwifi-6000g2a-5.ucode into memory
[    5.131647] iwlwifi 0000:03:00.0: loaded firmware version 17.168.5.3 build 42301
[    5.131913] Registered led device: phy0-led
[    5.140204] ieee80211 phy0: Selected rate control algorithm 'iwl-agn-rs'
[    5.772724] psmouse serio1: synaptics: Touchpad model: 1, fw: 7.2, id: 0x1c0b1, caps: 0xd047b3/0xb40000/0xa0000
[    5.772737] psmouse serio1: synaptics: serio: Synaptics pass-through port at isa0060/serio1/input0
[    5.812379] input: SynPS/2 Synaptics TouchPad as /devices/platform/i8042/serio1/input/input12
[    5.904624] HDMI status: Codec=0 Pin=5 Presence_Detect=0 ELD_Valid=0
[    5.936540] HDMI status: Codec=1 Pin=5 Presence_Detect=0 ELD_Valid=0
[    5.968541] HDMI status: Codec=2 Pin=5 Presence_Detect=0 ELD_Valid=0
[    6.000574] HDMI status: Codec=3 Pin=5 Presence_Detect=0 ELD_Valid=0
[    6.016679] input: HDA NVidia HDMI/DP,pcm=9 as /devices/pci0000:00/0000:00:01.0/0000:01:00.1/sound/card1/input13
[    6.016933] input: HDA NVidia HDMI/DP,pcm=8 as /devices/pci0000:00/0000:00:01.0/0000:01:00.1/sound/card1/input14
[    6.017168] input: HDA NVidia HDMI/DP,pcm=7 as /devices/pci0000:00/0000:00:01.0/0000:01:00.1/sound/card1/input15
[    6.017401] input: HDA NVidia HDMI/DP,pcm=3 as /devices/pci0000:00/0000:00:01.0/0000:01:00.1/sound/card1/input16
[    6.018950] nvidia 0000:01:00.0: power state changed by ACPI to D0
[    6.018960] nvidia 0000:01:00.0: power state changed by ACPI to D0
[    6.018980] nvidia 0000:01:00.0: setting latency timer to 64
[    6.018987] vgaarb: device changed decodes: PCI:0000:01:00.0,olddecodes=io+mem,decodes=none:owns=io+mem
[    6.019210] NVRM: loading NVIDIA UNIX x86_64 Kernel Module  304.64  Tue Oct 30 10:58:20 PDT 2012
[    6.535045] EXT4-fs (dm-0): re-mounted. Opts: (null)
[    6.579581] EXT4-fs (dm-0): re-mounted. Opts: discard,commit=600,errors=remount-ro
[    6.604283] loop: module loaded
[    6.968112] Adding 7811068k swap on /dev/mapper/VG00-LVswap.  Priority:-1 extents:1 across:7811068k SS
[    7.198870] EXT4-fs (sda3): mounted filesystem with ordered data mode. Opts: (null)
[    7.200850] EXT4-fs (dm-3): mounted filesystem with ordered data mode. Opts: discard,commit=600,errors=remount-ro
[    7.202132] EXT4-fs (dm-2): mounted filesystem with ordered data mode. Opts: discard,commit=600,errors=remount-ro
[    7.595381] RPC: Registered named UNIX socket transport module.
[    7.595387] RPC: Registered udp transport module.
[    7.595389] RPC: Registered tcp transport module.
[    7.595392] RPC: Registered tcp NFSv4.1 backchannel transport module.
[    7.601644] FS-Cache: Loaded
[    7.611136] FS-Cache: Netfs 'nfs' registered for caching
[    7.617138] Installing knfsd (copyright (C) 1996 okir@monad.swb.de).
[    8.072752] ip_tables: (C) 2000-2006 Netfilter Core Team
[    8.083722] ip6_tables: (C) 2000-2006 Netfilter Core Team
[    9.066103] input: ACPI Virtual Keyboard Device as /devices/virtual/input/input17
[    9.219034] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[    9.219041] Bluetooth: BNEP filters: protocol multicast
[    9.219048] Bluetooth: RFCOMM TTY layer initialized
[    9.219059] Bluetooth: RFCOMM socket layer initialized
[    9.219064] Bluetooth: RFCOMM ver 1.11
[    9.221122] lp: driver loaded but no devices found
[    9.227808] ppdev: user-space parallel port driver
[    9.314842] cdc_ncm: usb0: network connection: disconnected
[    9.315238] ADDRCONF(NETDEV_UP): usb0: link is not ready
[    9.475007] e1000e 0000:00:19.0: irq 41 for MSI/MSI-X
[    9.530790] e1000e 0000:00:19.0: irq 41 for MSI/MSI-X
[    9.531842] ADDRCONF(NETDEV_UP): eth0: link is not ready
[    9.535196] iwlwifi 0000:03:00.0: L1 Enabled; Disabling L0S
[    9.541996] iwlwifi 0000:03:00.0: Radio type=0x1-0x2-0x0
[    9.825555] iwlwifi 0000:03:00.0: L1 Enabled; Disabling L0S
[    9.832394] iwlwifi 0000:03:00.0: Radio type=0x1-0x2-0x0
[    9.953697] ADDRCONF(NETDEV_UP): wlan0: link is not ready
[   10.877869] IBM TrackPoint firmware: 0x0e, buttons: 3/3
[   11.084765] input: TPPS/2 IBM TrackPoint as /devices/platform/i8042/serio1/serio2/input/input18
[   13.984850] thinkpad_acpi: asked for hotkey mask 0x0070ffbf, but firmware forced it to 0x0070ffbb
[   43.230442] virtuoso-t[4515]: segfault at ffffffffffffffff ip 00000000007ee1a6 sp 00007fff8abdbbd0 error 6 in virtuoso-t[400000+973000]
[   46.404090] usb 3-1.6: reset high-speed USB device number 5 using ehci_hcd
[   49.778420] hda-intel: IRQ timing workaround is activated for card #1. Suggest a bigger bdl_pos_adj.
[   60.847064] wlan0: authenticate with 90:f6:52:2c:57:b1 (try 1)
[   60.848846] wlan0: authenticated
[   60.849350] wlan0: associate with 90:f6:52:2c:57:b1 (try 1)
[   60.853404] wlan0: RX AssocResp from 90:f6:52:2c:57:b1 (capab=0x431 status=0 aid=1)
[   60.853411] wlan0: associated
[   60.859628] ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[   66.673699] usb 1-1: new high-speed USB device number 3 using xhci_hcd
[   66.695682] usb 1-1: New USB device found, idVendor=13fe, idProduct=3600
[   66.695689] usb 1-1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[   66.695693] usb 1-1: Product: USB DISK 2.0
[   66.695696] usb 1-1: Manufacturer:         
[   66.695699] usb 1-1: SerialNumber: 07A51300655B2336
[   66.695967] usb 1-1: ep 0x81 - rounding interval to 32768 microframes, ep desc says 0 microframes
[   66.695975] usb 1-1: ep 0x2 - rounding interval to 32768 microframes, ep desc says 0 microframes
[   66.708926] Initializing USB Mass Storage driver...
[   66.709200] usb-storage 1-1:1.0: Quirks match for vid 13fe pid 3600: 4000
[   66.709281] scsi6 : usb-storage 1-1:1.0
[   66.709427] usbcore: registered new interface driver usb-storage
[   66.709432] USB Mass Storage support registered.
[   67.734051] scsi 6:0:0:0: Direct-Access              USB DISK 2.0     PMAP PQ: 0 ANSI: 0 CCS
[   67.735792] sd 6:0:0:0: Attached scsi generic sg2 type 0
[   68.986538] sd 6:0:0:0: [sdb] 3915776 512-byte logical blocks: (2.00 GB/1.86 GiB)
[   68.988811] sd 6:0:0:0: [sdb] Write Protect is off
[   68.988819] sd 6:0:0:0: [sdb] Mode Sense: 23 00 00 00
[   68.991116] sd 6:0:0:0: [sdb] No Caching mode page present
[   68.991124] sd 6:0:0:0: [sdb] Assuming drive cache: write through
[   68.997655] sd 6:0:0:0: [sdb] No Caching mode page present
[   68.997664] sd 6:0:0:0: [sdb] Assuming drive cache: write through
[   69.018074]  sdb: sdb1
[   69.023860] sd 6:0:0:0: [sdb] No Caching mode page present
[   69.023867] sd 6:0:0:0: [sdb] Assuming drive cache: write through
[   69.023872] sd 6:0:0:0: [sdb] Attached SCSI removable disk
[   70.954776] FAT-fs (sdb1): utf8 is not a recommended IO charset for FAT filesystems, filesystem will be case sensitive!
[   71.643072] wlan0: no IPv6 routers present
[  231.112226] iwlwifi 0000:03:00.0: Tx aggregation enabled on ra = 90:f6:52:2c:57:b1 tid = 0

** Model information
sys_vendor: LENOVO
product_name: 24292UG
product_version: ThinkPad T530
chassis_vendor: LENOVO
chassis_version: Not Available
bios_vendor: LENOVO
bios_version: G4ET92WW (2.52 )
board_vendor: LENOVO
board_name: 24292UG
board_version: Not Defined

** Loaded modules:
nls_utf8
nls_cp437
vfat
fat
usb_storage
parport_pc
ppdev
lp
bnep
rfcomm
parport
ip6table_filter
ip6_tables
iptable_filter
ip_tables
x_tables
binfmt_misc
uinput
nfsd
nfs
nfs_acl
auth_rpcgss
fscache
lockd
sunrpc
loop
joydev
snd_hda_codec_hdmi
nvidia(P)
arc4
coretemp
snd_hda_codec_realtek
crc32c_intel
ghash_clmulni_intel
btusb
uvcvideo
cdc_ncm
cdc_acm
bluetooth
videodev
usbnet
v4l2_compat_ioctl32
cdc_wdm
mii
media
aesni_intel
aes_x86_64
iwlwifi
aes_generic
cryptd
battery
snd_hda_intel
evdev
psmouse
mac80211
thinkpad_acpi
serio_raw
pcspkr
snd_hda_codec
i2c_i801
nvram
iTCO_wdt
cfg80211
iTCO_vendor_support
snd_hwdep
snd_seq
snd_seq_device
snd_pcm
snd_page_alloc
snd_timer
i2c_core
snd
wmi
soundcore
rfkill
tpm_tis
ac
tpm
power_supply
tpm_bios
acpi_cpufreq
mperf
video
button
processor
ext4
crc16
jbd2
mbcache
dm_mod
sg
sr_mod
sd_mod
cdrom
crc_t10dif
ahci
libahci
libata
firewire_ohci
scsi_mod
sdhci_pci
firewire_core
ehci_hcd
xhci_hcd
sdhci
crc_itu_t
mmc_core
usbcore
thermal
e1000e
thermal_sys
usb_common

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation 3rd Gen Core processor DRAM Controller [8086:0154] (rev 09)
	Subsystem: Lenovo Device [17aa:21f6]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:01.0 PCI bridge [0604]: Intel Corporation Xeon E3-1200 v2/3rd Gen Core processor PCI Express Root Port [8086:0151] (rev 09) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	I/O behind bridge: 00005000-00005fff
	Memory behind bridge: f2000000-f30fffff
	Prefetchable memory behind bridge: 00000000e0000000-00000000f1ffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA+ MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:14.0 USB controller [0c03]: Intel Corporation 7 Series/C210 Series Chipset Family USB xHCI Host Controller [8086:1e31] (rev 04) (prog-if 30 [XHCI])
	Subsystem: Lenovo Device [17aa:21f6]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 42
	Region 0: Memory at f5320000 (64-bit, non-prefetchable) [size=64K]
	Capabilities: <access denied>
	Kernel driver in use: xhci_hcd

00:16.0 Communication controller [0780]: Intel Corporation 7 Series/C210 Series Chipset Family MEI Controller #1 [8086:1e3a] (rev 04)
	Subsystem: Lenovo Device [17aa:21f6]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 11
	Region 0: Memory at f5335000 (64-bit, non-prefetchable) [size=16]
	Capabilities: <access denied>

00:19.0 Ethernet controller [0200]: Intel Corporation 82579LM Gigabit Network Connection [8086:1502] (rev 04)
	Subsystem: Lenovo Device [17aa:21f3]
	Control: I/O- Mem- BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin A routed to IRQ 20
	Region 0: Memory at f5300000 (32-bit, non-prefetchable) [disabled] [size=128K]
	Region 1: Memory at f533b000 (32-bit, non-prefetchable) [disabled] [size=4K]
	Region 2: I/O ports at 6040 [disabled] [size=32]
	Capabilities: <access denied>
	Kernel driver in use: e1000e

00:1a.0 USB controller [0c03]: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #2 [8086:1e2d] (rev 04) (prog-if 20 [EHCI])
	Subsystem: Lenovo Device [17aa:21f6]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at f533a000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1b.0 Audio device [0403]: Intel Corporation 7 Series/C210 Series Chipset Family High Definition Audio Controller [8086:1e20] (rev 04)
	Subsystem: Lenovo Device [17aa:21f6]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 44
	Region 0: Memory at f5330000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: snd_hda_intel

00:1c.0 PCI bridge [0604]: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 1 [8086:1e10] (rev c4) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 00004000-00004fff
	Memory behind bridge: f4a00000-f52fffff
	Prefetchable memory behind bridge: 00000000f3100000-00000000f38fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.1 PCI bridge [0604]: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 2 [8086:1e12] (rev c4) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
	Memory behind bridge: f4900000-f49fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.2 PCI bridge [0604]: Intel Corporation 7 Series/C210 Series Chipset Family PCI Express Root Port 3 [8086:1e14] (rev c4) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Bus: primary=00, secondary=04, subordinate=0b, sec-latency=0
	I/O behind bridge: 00003000-00003fff
	Memory behind bridge: f4100000-f48fffff
	Prefetchable memory behind bridge: 00000000f3900000-00000000f40fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR- NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1d.0 USB controller [0c03]: Intel Corporation 7 Series/C210 Series Chipset Family USB Enhanced Host Controller #1 [8086:1e26] (rev 04) (prog-if 20 [EHCI])
	Subsystem: Lenovo Device [17aa:21f6]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 23
	Region 0: Memory at f5339000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1f.0 ISA bridge [0601]: Intel Corporation QM77 Express Chipset LPC Controller [8086:1e55] (rev 04)
	Subsystem: Lenovo Device [17aa:21f6]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:1f.2 SATA controller [0106]: Intel Corporation 7 Series Chipset Family 6-port SATA Controller [AHCI mode] [8086:1e03] (rev 04) (prog-if 01 [AHCI 1.0])
	Subsystem: Lenovo Device [17aa:21f6]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 43
	Region 0: I/O ports at 6068 [size=8]
	Region 1: I/O ports at 6074 [size=4]
	Region 2: I/O ports at 6060 [size=8]
	Region 3: I/O ports at 6070 [size=4]
	Region 4: I/O ports at 6020 [size=32]
	Region 5: Memory at f5338000 (32-bit, non-prefetchable) [size=2K]
	Capabilities: <access denied>
	Kernel driver in use: ahci

00:1f.3 SMBus [0c05]: Intel Corporation 7 Series/C210 Series Chipset Family SMBus Controller [8086:1e22] (rev 04)
	Subsystem: Lenovo Device [17aa:21f6]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin C routed to IRQ 18
	Region 0: Memory at f5334000 (64-bit, non-prefetchable) [size=256]
	Region 4: I/O ports at efa0 [size=32]
	Kernel driver in use: i801_smbus

01:00.0 VGA compatible controller [0300]: NVIDIA Corporation GF108 [Quadro NVS 5400M] [10de:0def] (rev a1) (prog-if 00 [VGA controller])
	Subsystem: Lenovo Device [17aa:21f6]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at f2000000 (32-bit, non-prefetchable) [size=16M]
	Region 1: Memory at e0000000 (64-bit, prefetchable) [size=256M]
	Region 3: Memory at f0000000 (64-bit, prefetchable) [size=32M]
	Region 5: I/O ports at 5000 [size=128]
	[virtual] Expansion ROM at f3080000 [disabled] [size=512K]
	Capabilities: <access denied>
	Kernel driver in use: nvidia

01:00.1 Audio device [0403]: NVIDIA Corporation GF108 High Definition Audio Controller [10de:0bea] (rev a1)
	Subsystem: Lenovo Device [17aa:21f6]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin B routed to IRQ 17
	Region 0: Memory at f3000000 (32-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: snd_hda_intel

02:00.0 System peripheral [0880]: Ricoh Co Ltd PCIe SDXC/MMC Host Controller [1180:e823] (rev 08) (prog-if 01)
	Subsystem: Lenovo Device [17aa:21f6]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at f4a01000 (32-bit, non-prefetchable) [size=256]
	Capabilities: <access denied>
	Kernel driver in use: sdhci-pci

02:00.3 FireWire (IEEE 1394) [0c00]: Ricoh Co Ltd R5C832 PCIe IEEE 1394 Controller [1180:e832] (rev 04) (prog-if 10 [OHCI])
	Subsystem: Lenovo Device [17aa:21f6]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin D routed to IRQ 19
	Region 0: Memory at f4a00000 (32-bit, non-prefetchable) [size=2K]
	Capabilities: <access denied>
	Kernel driver in use: firewire_ohci

03:00.0 Network controller [0280]: Intel Corporation Centrino Advanced-N 6205 [Taylor Peak] [8086:0085] (rev 34)
	Subsystem: Intel Corporation Centrino Advanced-N 6205 AGN [8086:1311]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 64 bytes
	Interrupt: pin A routed to IRQ 45
	Region 0: Memory at f4900000 (64-bit, non-prefetchable) [size=8K]
	Capabilities: <access denied>
	Kernel driver in use: iwlwifi


** USB devices:
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 002: ID 0bdb:1926 Ericsson Business Mobile Networks BV 
Bus 003 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 004 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 003 Device 003: ID 147e:2020 Upek 
Bus 003 Device 004: ID 0a5c:21e6 Broadcom Corp. 
Bus 003 Device 005: ID 04f2:b2ea Chicony Electronics Co., Ltd 
Bus 001 Device 003: ID 13fe:3600 Kingston Technology Company Inc. 


-- System Information:
Debian Release: 7.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.2.0-4-amd64 (SMP w/8 CPU cores)
Locale: LANG=pl_PL.UTF-8, LC_CTYPE=pl_PL.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-3.2.0-4-amd64 depends on:
ii  debconf [debconf-2.0]                   1.5.49
ii  initramfs-tools [linux-initramfs-tool]  0.109
ii  kmod                                    9-2
ii  linux-base                              3.5
ii  module-init-tools                       9-2

Versions of packages linux-image-3.2.0-4-amd64 recommends:
pn  firmware-linux-free  <none>

Versions of packages linux-image-3.2.0-4-amd64 suggests:
pn  debian-kernel-handbook  <none>
ii  grub-pc                 1.99-27
pn  linux-doc-3.2           <none>

Versions of packages linux-image-3.2.0-4-amd64 is related to:
pn  firmware-atheros        <none>
pn  firmware-bnx2           <none>
pn  firmware-bnx2x          <none>
pn  firmware-brcm80211      <none>
pn  firmware-intelwimax     <none>
pn  firmware-ipw2x00        <none>
pn  firmware-ivtv           <none>
ii  firmware-iwlwifi        0.36+wheezy.1
pn  firmware-libertas       <none>
pn  firmware-linux          <none>
pn  firmware-linux-nonfree  <none>
pn  firmware-myricom        <none>
pn  firmware-netxen         <none>
pn  firmware-qlogic         <none>
pn  firmware-ralink         <none>
pn  firmware-realtek        <none>
pn  xen-hypervisor          <none>

-- debconf information:
  linux-image-3.2.0-4-amd64/postinst/depmod-error-initrd-3.2.0-4-amd64: false
  linux-image-3.2.0-4-amd64/prerm/removing-running-kernel-3.2.0-4-amd64: true
  linux-image-3.2.0-4-amd64/postinst/ignoring-ramdisk:
  linux-image-3.2.0-4-amd64/postinst/missing-firmware-3.2.0-4-amd64:



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#691427; Package src:linux. (Wed, 06 Mar 2013 21:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Krzysztof Baranski <kbaransk@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 06 Mar 2013 21:18:05 GMT) Full text and rfc822 format available.

Message #40 received at 691427@bugs.debian.org (full text, mbox):

From: Krzysztof Baranski <kbaransk@gmail.com>
To: 691427@bugs.debian.org
Subject: Logs and configuration info
Date: Wed, 6 Mar 2013 22:15:55 +0100
[Message part 1 (text/plain, inline)]
I've attached hardware and configuration details and logs from dmesg.
I've updated both SSD firmware and BIOS but nothing has changed.
[Message part 2 (text/html, inline)]
[logs-and-systeminfo.tar.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#691427; Package src:linux. (Wed, 06 Mar 2013 21:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Krzysztof Baranski <kbaransk@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 06 Mar 2013 21:21:04 GMT) Full text and rfc822 format available.

Message #45 received at 691427@bugs.debian.org (full text, mbox):

From: Krzysztof Baranski <kbaransk@gmail.com>
To: 691427@bugs.debian.org
Subject: Logs and configuration info
Date: Wed, 6 Mar 2013 22:17:13 +0100
[Message part 1 (text/plain, inline)]
I've attached hardware and configuration details and logs from dmesg.
I've updated both SSD firmware and BIOS but nothing has changed.
[logs-and-systeminfo.tar.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#691427; Package src:linux. (Mon, 25 Mar 2013 14:12:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mathieu Desnoyers <mathieu.desnoyers@efficios.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 25 Mar 2013 14:12:07 GMT) Full text and rfc822 format available.

Message #50 received at 691427@bugs.debian.org (full text, mbox):

From: Mathieu Desnoyers <mathieu.desnoyers@efficios.com>
To: 691427@bugs.debian.org
Subject: Reliably reproduce Lenovo 180GB SSD issues
Date: Mon, 25 Mar 2013 10:02:21 -0400
Hi,

We spent a couple of days cornering what appears to be an issue with the
Intel 520 SSD drives in Lenovo x230 laptops. It was first showing up on
a clean Debian installation, while installing a guest operating system
into a VM. Looking around on forums, there appears to be some people
having issues with database workloads too. So I decided to create a
small user-space program to repoduce the problem. IMPORTANT: Before you
try it, be ready for a system crash requiring a cold reboot.. It's
available at:

git://git.efficios.com/test-ssd.git

direct link to .c file:
https://git.efficios.com/?p=test-ssd.git;a=blob;f=test-ssd-write.c;hb=refs/heads/master

This program simply performs random-access-writes of 4Kb into a single file.

Executive summary of our findings (the details are in the
test-ssd-write.c header in the git repo):

- We reproduced this issue on 4 x230 machines (all our x230 have 180GB
  Intel drives, and they are all affected),
- We took a SSD from one of the machines, moved it into an x200, and the
  problem still occurs,
- The problem seems to occur independently of the filesystem (reproduced
  on ext3 and ext4),
- Problem reproduced by test-ssd-write.c (git tree above): After less
  than 5 minutes of the heavy write workload, we get SATA errors and we
  need to cold reboot the machine to access the drive again. Example
  usage (don't forget to prepare for a computer freeze):

  ./test-ssd-write somefileondisk 209715200 1234 -z

  (see options by just running ./test-ssd-write)

The problem occurs with drive model SSDSC2BW180A3L, with both firmwares
LE1i and LF1i (those are Lenovo firmwares). We could reproduce the issue
on 3.2 (Debian), 3.5 (Debian), 3.7.9 (Arch) distribution kernels. We
could reproduce it with x230 BIOS G2ET90WW (2.50) 2012-20-12 and
G2ET86WW (2.06) 2012-11-13, but since it can be reproduced on a x200
too, it does not appear to be a BIOS issue.

We tried the program on a range of other SSD drives, one of those
including the same SandForce 2281 controller (details within
test-ssd-write.c header). So our current guess is that the Lenovo
firmware on the SSD might be part of the problem, but it might be good
if we could to confirm that Intel's firmwares work fine.

Thoughts, ideas, hints about who to contact on this issue would be very
much welcome,

Thanks,

Mathieu

Relevant Lenovo threads:
- http://forums.lenovo.com/t5/X-Series-ThinkPad-Laptops/x230-SATA-errors-with-180GB-Intel-520-SSD-under-heavy-write-load/m-p/1068147/highlight/false#M48401
- http://forums.lenovo.com/t5/T400-T500-and-newer-T-series/T430s-Intel-SSD-520-180GB-issue/m-p/1070549#M76964

-- 
Mathieu Desnoyers
EfficiOS Inc.
http://www.efficios.com



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#691427; Package src:linux. (Thu, 04 Jul 2013 07:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 04 Jul 2013 07:57:04 GMT) Full text and rfc822 format available.

Message #55 received at 691427@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 691427@bugs.debian.org
Subject: Re: journal commit I/O error on brand-new Thinkpad T430s ext4 on lvm on SSD
Date: Thu, 4 Jul 2013 09:55:21 +0200
[Message part 1 (text/plain, inline)]
I experience this too with my freshly bought Thinkpad X230 with 180
GiB SSD disk (model NZDAJMN) using Debian Edu Wheezy.  The
installation failed when setting up an encrypted disk, while the
installer was filling the disk with random data.

This is the disk information provided by the kernel:

Jul  3 20:56:18 kernel: [    1.561797] ata1: SATA link up 6.0 Gbps (SStatus 133 SControl 300)
Jul  3 20:56:18 kernel: [    1.573214] ata1.00: ACPI cmd ef/02:00:00:00:00:a0 (SET FEATURES) succeeded
Jul  3 20:56:18 kernel: [    1.573222] ata1.00: ACPI cmd f5/00:00:00:00:00:a0 (SECURITY FREEZE LOCK) f
iltered out
Jul  3 20:56:18 kernel: [    1.583188] ata1.00: ATA-9: INTEL SSDSC2BW180A3L, LF1i, max UDMA/133
Jul  3 20:56:18 kernel: [    1.583195] ata1.00: 351651888 sectors, multi 16: LBA48 NCQ (depth 31/32), 
AA
Jul  3 20:56:18 kernel: [    1.593145] ata1.00: ACPI cmd ef/02:00:00:00:00:a0 (SET FEATURES) succeeded
Jul  3 20:56:18 kernel: [    1.593154] ata1.00: ACPI cmd f5/00:00:00:00:00:a0 (SECURITY FREEZE LOCK) f
iltered out
Jul  3 20:56:18 kernel: [    1.603163] ata1.00: configured for UDMA/133
Jul  3 20:56:18 kernel: [    1.603464] scsi 0:0:0:0: Direct-Access     ATA      INTEL SSDSC2BW18 LF1i 
PQ: 0 ANSI: 5

And this is the last message when it fail:

Jul  3 22:37:02 kernel: [ 6035.697386] Buffer I/O error on device dm-0, logical block 24471461
Jul  3 22:37:02 kernel: [ 6035.697389] lost page write due to I/O error on dm-0
Jul  3 22:37:02 kernel: [ 6035.697395] sd 0:0:0:0: [sda] Unhandled error code
Jul  3 22:37:02 kernel: [ 6035.697399] sd 0:0:0:0: [sda]  Result: hostbyte=DID_BAD_TARGET driverbyte=D
RIVER_OK
Jul  3 22:37:02 kernel: [ 6035.697403] sd 0:0:0:0: [sda] CDB: Write(10): 2a 00 0b b2 e5 20 00 00 08 00
Jul  3 22:37:02 kernel: [ 6035.697413] end_request: I/O error, dev sda, sector 196273440
Jul  3 22:37:02 kernel: [ 6035.697422] sd 0:0:0:0: [sda] Unhandled error code
Jul  3 22:37:02 kernel: [ 6035.697425] sd 0:0:0:0: [sda]  Result: hostbyte=DID_BAD_TARGET driverbyte=D
RIVER_OK
Jul  3 22:37:02 kernel: [ 6035.697429] sd 0:0:0:0: [sda] CDB: Write(10): 2a 00 0b b2 e5 18 00 00 08 00
Jul  3 22:37:02 kernel: [ 6035.697439] end_request: I/O error, dev sda, sector 196273432
Jul  3 22:37:02 kernel: [ 6035.697448] sd 0:0:0:0: [sda] Unhandled error code
Jul  3 22:37:02 kernel: [ 6035.697451] sd 0:0:0:0: [sda]  Result: hostbyte=DID_BAD_TARGET driverbyte=D
RIVER_OK
Jul  3 22:37:02 kernel: [ 6035.697455] sd 0:0:0:0: [sda] CDB: Write(10): 2a 00 0b b2 e5 30 00 00 08 00
Jul  3 22:37:02 kernel: [ 6035.697465] end_request: I/O error, dev sda, sector 196273456
Jul  3 22:37:02 kernel: [ 6035.697474] sd 0:0:0:0: [sda] Unhandled error code
Jul  3 22:37:02 kernel: [ 6035.697477] sd 0:0:0:0: [sda]  Result: hostbyte=DID_BAD_TARGET driverbyte=D
RIVER_OK
Jul  3 22:37:02 kernel: [ 6035.697481] sd 0:0:0:0: [sda] CDB: Write(10): 2a 00 0b b2 e5 08 00 00 08 00
Jul  3 22:37:02 kernel: [ 6035.697491] end_request: I/O error, dev sda, sector 196273416

The installation syslog is attached.

-- 
Happy hacking
Petter Reinholdtsen
[syslog (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#691427; Package src:linux. (Thu, 04 Jul 2013 08:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 04 Jul 2013 08:21:04 GMT) Full text and rfc822 format available.

Message #60 received at 691427@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 691427@bugs.debian.org
Subject: Re: journal commit I/O error on brand-new Thinkpad T430s ext4 on lvm on SSD
Date: Thu, 4 Jul 2013 10:19:49 +0200
I just discovered that this bug seem to be reported to the kernel
develoers as <URL: https://bugzilla.kernel.org/show_bug.cgi?id=51861 >.

According to that report, the problem went away on its own.
While according to
<URL: http://forums.lenovo.com/t5/T400-T500-and-newer-T-series/T430s-Intel-SSD-520-180GB-issue/td-p/888083/page/2 >,
replacing the motherboard can help.  Not quite sure what to believe.

-- 
Happy hacking
Petter Reinholdtsen



Set Bug forwarded-to-address to 'https://bugzilla.kernel.org/show_bug.cgi?id=51861'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Fri, 05 Jul 2013 13:21:04 GMT) Full text and rfc822 format available.

Unset Bug forwarded-to-address Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Sat, 20 Jul 2013 16:27:18 GMT) Full text and rfc822 format available.

Merged 691427 701823 Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Sat, 20 Jul 2013 16:27:19 GMT) Full text and rfc822 format available.

Merged 691427 701823 Request was from Petter Reinholdtsen <pere@hungry.com> to 701823-submit@bugs.debian.org. (Sat, 20 Jul 2013 16:45:09 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://bugzilla.kernel.org/show_bug.cgi?id=51861'. Request was from Touko Korpela <touko.korpela@iki.fi> to control@bugs.debian.org. (Sat, 20 Jul 2013 18:21:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:16:43 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.